WordPress.org

Ready to get started?Download WordPress

Forums

Facebook
Make plugin compatible with other plugins that use FB API (8 posts)

  1. BramVanroy
    Member
    Posted 2 years ago #

    I am experiencing difficulties with this plug-in when I use other plug-ins that also use FB's API.

    As you can see here the author of that plug-in states that it's the 'fault' of the official plug-in. So, can this compatibility issue get fixed?

    http://wordpress.org/extend/plugins/facebook/

  2. CPilko
    Member
    Posted 2 years ago #

    +1 for this. Rewriting all plugins to use the Facebook_WP class instead of the plain Facebook class in the PHP SDK is a royal PITA.

  3. 5ngua
    Member
    Posted 2 years ago #

    can we create 2 different APIs for 2 Facebook plugins?

  4. Matt Kelly (Facebook)
    Member
    Plugin Contributor

    Posted 2 years ago #

    Followed up in http://wordpress.org/support/topic/plugin-facebook-make-plugin-compatible-with-other-plugins-that-use-fb-api?replies=3

    Also, one of the reasons we're using Facebook_WP is so we avoid namespace collisions.

  5. Takahashi Fumiki
    Member
    Posted 2 years ago #

    Hi, Matt.

    I'm developper of a plugin which use Facebook's php-sdk 3.1.1(current latest) and found that Facebook plugin breaks my plugin.

    http://wordpress.org/extend/plugins/gianism/

    I got an error which tells Fatal error: Access to undeclared static property: BaseFacebook::$CURL_OPTS in /path/to/facebook/includes/facebook-php-sdk/base_facebook.php on line 880 on $facebook->makeRequest().

    As it told, base_facebook.php doesn't have static member $CURL_OPTS.

    But I see Facebook-php-sdk on github, base_facebook.php has that member.

    https://github.com/facebook/facebook-php-sdk/blob/master/src/base_facebook.php

    It seems that Facebook plugin uses customized base_facebook.php. Please tell me what to do for coexistence.

  6. rick4him
    Member
    Posted 2 years ago #

    So if I'm using a plug in like digg digg (for floating sharers) or jetpack (for workdpress stats) even though I'm not using their facebook button, would I have issues?

    It looks like the plugin is duplicating code. What can I do? I can't get rid of the other ones.

  7. BramVanroy
    Member
    Posted 2 years ago #

    Matt, what exactly do you mean by "Followed up in"?

  8. tnguyen14
    Member
    Posted 2 years ago #

    I'm wondering the same question. Is there a way to make Facebook play nice with other plug-ins? Would other FB plugin developers update their plug-in to make them compatible with the official plugin?

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic